src/fvm/fvm_selector.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
fvm_selector.c File Reference
`#include "cs_defs.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <assert.h>`
`#include <math.h>`
`#include "bft_mem.h"`
`#include "bft_error.h"`
`#include "bft_printf.h"`
`#include "cs_timer.h"`
`#include "fvm_defs.h"`
`#include "fvm_group.h"`
`#include "fvm_selector_postfix.h"`
`#include "fvm_selector.h"`
Include dependency graph for fvm_selector.c:

## Functions
fvm_selector_t * | fvm_selector_create (int dim, cs_lnum_t n_elements, const fvm_group_class_set_t *group_class_set, const int group_class_id[], int group_class_id_base, const double coords[], const double normals[])
fvm_selector_t * | fvm_selector_destroy (fvm_selector_t *this_selector)
int | fvm_selector_get_list (fvm_selector_t *this_selector, const char *str, cs_lnum_t *n_selected_elements, cs_lnum_t *selected_elements)
int | fvm_selector_get_gc_list (fvm_selector_t *this_selector, const char *str, int *n_selected_gcs, int selected_gcs[])
int | fvm_selector_n_missing (const fvm_selector_t *this_selector, int criteria_id)
const char * | fvm_selector_get_missing (const fvm_selector_t *this_selector, int criteria_id, int missing_id)
void | fvm_selector_get_stats (const fvm_selector_t *this_selector, int *n_evals, double *eval_wtime)
void | fvm_selector_dump (const fvm_selector_t *this_selector)

## Function Documentation

fvm_selector_t* fvm_selector_create | ( | int | dim,
|  | cs_lnum_t | n_elements,
|  | const fvm_group_class_set_t * | group_class_set,
|  | const int | group_class_id[],
|  | int | group_class_id_base,
|  | const double | coords[],
|  | const double | normals[]
| ) |  |

fvm_selector_t* fvm_selector_destroy | ( | fvm_selector_t * | this_selector | ) |

void fvm_selector_dump | ( | const fvm_selector_t * | this_selector | ) |

int fvm_selector_get_gc_list | ( | fvm_selector_t * | this_selector,
|  | const char * | str,
|  | int * | n_selected_gcs,
|  | int | selected_gcs[]
| ) |  |

int fvm_selector_get_list | ( | fvm_selector_t * | this_selector,
|  | const char * | str,
|  | cs_lnum_t * | n_selected_elements,
|  | cs_lnum_t * | selected_elements
| ) |  |

const char* fvm_selector_get_missing | ( | const fvm_selector_t * | this_selector,
|  | int | criteria_id,
|  | int | missing_id
| ) |  |

void fvm_selector_get_stats | ( | const fvm_selector_t * | this_selector,
|  | int * | n_evals,
|  | double * | eval_wtime
| ) |  |

int fvm_selector_n_missing | ( | const fvm_selector_t * | this_selector,
|  | int | criteria_id
| ) |  |